<div class="alert-box">
    <div class="modal-header">
        <h4 class="modal-title">Confirmation</h4>
        <button type="button" class="close" aria-label="Close" (click)="bsModalRef.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        Are you sure you want to {{bsModalRef.content?.action}} <strong>{{bsModalRef.content?.data}}</strong>?
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-danger" (click)="onConfirm()">Delete</button>
        <button type="button" class="btn btn-secondary" (click)="onCancel()">Cancel</button>
    </div>
</div>